<?xml version="1.0" encoding='utf-8'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <xsl:variable name='btnnew'>
    <xsl:element name="input">
      <xsl:attribute name="type">button</xsl:attribute>
      <xsl:attribute name="name">btnnew</xsl:attribute>
      <xsl:attribute name="id">btnnew</xsl:attribute>
      <xsl:attribute name="value">
        <xsl:value-of select="$translations/languagebook/buttons/button[(@name='new') and lang($isolang)]"/>
      </xsl:attribute>
      <xsl:attribute name="onClick">todo.value='new';submit();</xsl:attribute>
    </xsl:element>
  </xsl:variable>

  <xsl:variable name='btndelete'>
    <xsl:element name="input">
      <xsl:attribute name="type">button</xsl:attribute>
      <xsl:attribute name="name">btndelete</xsl:attribute>
      <xsl:attribute name="id">btndelete</xsl:attribute>
      <xsl:attribute name="value">
        <xsl:value-of select="$translations/languagebook/buttons/button[(@name='delete') and lang($isolang)]"/>
      </xsl:attribute>
      <xsl:attribute name="onClick">deleteitem();</xsl:attribute>
    </xsl:element>
  </xsl:variable>

  <xsl:variable name='btnedit'>
    <xsl:element name="input">
      <xsl:attribute name="type">button</xsl:attribute>
      <xsl:attribute name="name">btnedit</xsl:attribute>
      <xsl:attribute name="id">btnedit</xsl:attribute>
      <xsl:attribute name="value">
        <xsl:value-of select="$translations/languagebook/buttons/button[(@name='edit') and lang($isolang)]"/>
      </xsl:attribute>
      <xsl:attribute name="onClick">todo.value='edit';submit();</xsl:attribute>
    </xsl:element>
  </xsl:variable>

  <xsl:variable name='btnshow'>
    <xsl:element name="input">
      <xsl:attribute name="type">button</xsl:attribute>
      <xsl:attribute name="name">btnshow</xsl:attribute>
      <xsl:attribute name="id">btnshow</xsl:attribute>
      <xsl:attribute name="value">
        <xsl:value-of select="$translations/languagebook/buttons/button[(@name='show') and lang($isolang)]"/>
      </xsl:attribute>
      <xsl:attribute name="onClick">;todo.value='show';submit();</xsl:attribute>
    </xsl:element>
  </xsl:variable>

  <xsl:variable name='btnsearch'>
    <xsl:element name="input">
      <xsl:attribute name="type">button</xsl:attribute>
      <xsl:attribute name="name">btnsearch</xsl:attribute>
      <xsl:attribute name="id">btnsearch</xsl:attribute>
      <xsl:attribute name="value">
        <xsl:value-of select="$translations/languagebook/buttons/button[(@name='search') and lang($isolang)]"/>
      </xsl:attribute>
      <xsl:attribute name="onClick">todo.value='search';submit();</xsl:attribute>
    </xsl:element>
  </xsl:variable>

  <xsl:variable name='btnclear'>
    <xsl:element name="input">
      <xsl:attribute name="type">button</xsl:attribute>
      <xsl:attribute name="name">btnclear</xsl:attribute>
      <xsl:attribute name="id">btnclear</xsl:attribute>
      <xsl:attribute name="value">
        <xsl:value-of select="$translations/languagebook/buttons/button[(@name='clear') and lang($isolang)]"/>
      </xsl:attribute>
      <xsl:attribute name="onClick">offset.value='0';todo.value='clear';submit();</xsl:attribute>
      <xsl:if test="($display/filter/contact='') and ($display/filter/category='')">
        <xsl:attribute name="disabled"/>
      </xsl:if>
    </xsl:element>
  </xsl:variable>

  <xsl:variable name='btnfilter'>
    <xsl:element name="input">
      <xsl:attribute name="type">button</xsl:attribute>
      <xsl:attribute name="name">btnfilter</xsl:attribute>
      <xsl:attribute name="id">btnfilter</xsl:attribute>
      <xsl:attribute name="value">
        <xsl:value-of select="$translations/languagebook/buttons/button[(@name='filter') and lang($isolang)]"/>
      </xsl:attribute>
      <xsl:attribute name="onClick">offset.value='0';todo.value='filter';submit();</xsl:attribute>
    </xsl:element>
  </xsl:variable>

  <xsl:variable name='btnsave'>
    <xsl:element name="input">
      <xsl:attribute name="type">button</xsl:attribute>
      <xsl:attribute name="name">btnsave</xsl:attribute>
      <xsl:attribute name="id">btnsave</xsl:attribute>
      <xsl:attribute name="value">
        <xsl:value-of select="$translations/languagebook/buttons/button[(@name='save') and lang($isolang)]"/>
      </xsl:attribute>
      <xsl:attribute name="onClick">checksbefore_save('<xsl:value-of select="$function"/>')</xsl:attribute>
      <xsl:if test="$display/mode='show'">
        <xsl:attribute name="disabled"/>
      </xsl:if>
    </xsl:element>
  </xsl:variable>

  <xsl:variable name='btncancel'>
    <xsl:element name="input">
      <xsl:attribute name="type">button</xsl:attribute>
      <xsl:attribute name="name">btnback</xsl:attribute>
      <xsl:attribute name="id">btnback</xsl:attribute>
      <xsl:attribute name="value">
        <xsl:value-of select="$translations/languagebook/buttons/button[(@name='back') and lang($isolang)]"/>
      </xsl:attribute>
      <xsl:attribute name="onClick">todo.value='cancel';submit();</xsl:attribute>
    </xsl:element>
  </xsl:variable>

  <xsl:variable name='btnlogin'>
    <xsl:element name="input">
      <xsl:attribute name="type">button</xsl:attribute>
      <xsl:attribute name="name">btnlogin</xsl:attribute>
      <xsl:attribute name="id">btnlogin</xsl:attribute>
      <xsl:attribute name="value">
        <xsl:value-of select="$translations/languagebook/buttons/button[(@name='login') and lang($isolang)]"/>
      </xsl:attribute>
      <xsl:attribute name="onClick">todo.value='login';submit();</xsl:attribute>
    </xsl:element>
  </xsl:variable>

  <xsl:variable name='btnregister'>
    <xsl:element name="input">
      <xsl:attribute name="type">button</xsl:attribute>
      <xsl:attribute name="name">btnregister</xsl:attribute>
      <xsl:attribute name="id">btnregister</xsl:attribute>
      <xsl:attribute name="value">
        <xsl:value-of select="$translations/languagebook/buttons/button[(@name='register') and lang($isolang)]"/>
      </xsl:attribute>
      <xsl:attribute name="onClick">todo.value='register';submit();</xsl:attribute>
    </xsl:element>
  </xsl:variable>

  <xsl:variable name='btnsendregdata'>
    <xsl:element name="input">
      <xsl:attribute name="type">button</xsl:attribute>
      <xsl:attribute name="name">btnsendregdata</xsl:attribute>
      <xsl:attribute name="id">btnsendregdata</xsl:attribute>
      <xsl:attribute name="value">
        <xsl:value-of select="$translations/languagebook/buttons/button[(@name='sendregdata') and lang($isolang)]"/>
      </xsl:attribute>
      <xsl:attribute name="onClick">checksbefore_save('<xsl:value-of select="$function"/>');</xsl:attribute>
    </xsl:element>
  </xsl:variable>

<!--
  <xsl:variable name='navbuttons-prev'>
    <xsl:element name="input">
      <xsl:attribute name="type">button</xsl:attribute>
      <xsl:attribute name="name">prev</xsl:attribute>
      <xsl:attribute name="id">prev</xsl:attribute>
      <xsl:attribute name="value">&lt;</xsl:attribute>
      <xsl:attribute name="onClick">page(-<xsl:value-of select="$display/limit"/>);</xsl:attribute>
      <xsl:if test="$display/offset = 0"><xsl:attribute name="disabled"/></xsl:if>
    </xsl:element>
  </xsl:variable>

  <xsl:variable name='navbuttons-next'>
    <xsl:element name="input">
      <xsl:attribute name="type">button</xsl:attribute>
      <xsl:attribute name="name">next</xsl:attribute>
      <xsl:attribute name="id">next</xsl:attribute>
      <xsl:attribute name="value">&gt;</xsl:attribute>
      <xsl:attribute name="onClick">page(<xsl:value-of select="$display/limit"/>);</xsl:attribute>
      <xsl:if test="(count(item)= 0) or (count(item) &lt; $display/limit)"><xsl:attribute name="disabled"/></xsl:if>
    </xsl:element>
  </xsl:variable>
-->
  <xsl:variable name='editbuttons'>
    <xsl:copy-of select='$btnsave'/>
    <xsl:copy-of select='$btncancel'/>
  </xsl:variable>

  <xsl:variable name='searchbuttons'>
    <xsl:copy-of select='$btnfilter'/>
    <xsl:copy-of select='$btncancel'/>
  </xsl:variable>

  <xsl:variable name='editbuttons-contacts'>
    <xsl:copy-of select='$btnnew'/>
    <xsl:copy-of select='$btndelete'/>
    <xsl:copy-of select='$btnshow'/>
    <xsl:copy-of select='$btnedit'/><br/>
    <xsl:copy-of select='$btnsearch'/>
    <xsl:copy-of select='$btnclear'/>
  </xsl:variable>

  <xsl:variable name='editbuttons-categories'>
    <xsl:copy-of select='$btnnew'/>
    <xsl:copy-of select='$btndelete'/>
    <xsl:copy-of select='$btnedit'/>
  </xsl:variable>

</xsl:stylesheet>