<?xml version="1.0" encoding='utf-8'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:variable name="display" select="/categorybook/display"/>
  <xsl:variable name="function">categories</xsl:variable>
  <xsl:include href="main.xsl"/>
  <xsl:include href="buttons.xsl"/>
  <xsl:include href="specific.xsl"/>

  <xsl:template match="category/item">
    <p align="center">
      <form name='items' id='items' action="index.php" method="post">
        <xsl:copy-of select='$hiddens'/>
        <xsl:element name="input">
          <xsl:attribute name="type">hidden</xsl:attribute>
          <xsl:attribute name="name">id</xsl:attribute>
          <xsl:attribute name="id">id</xsl:attribute>
          <xsl:attribute name="value"><xsl:value-of select="id"/></xsl:attribute>
        </xsl:element>
        <table>
          <tr>
            <td colspan='2' align='center'>
              <b><xsl:value-of select="$translations/languagebook/category/headings/title[(@name='edit') and lang($isolang)]"/></b>
            </td>
          </tr>
          <tr>
            <td class='required'><xsl:value-of select="$translations/languagebook/category/headings/table/column[(@name='name') and lang($isolang)]"/>
            (<xsl:value-of select="$translations/languagebook/languages/language[(@name=$langdef) and lang($isolang)]"/>)</td>
            <td>
              <xsl:element name="input">
                <xsl:attribute name="type">text</xsl:attribute>
                <xsl:attribute name="name">categoryname_<xsl:value-of select="$isolang"/></xsl:attribute>
                <xsl:attribute name="id">categoryname_<xsl:value-of select="$isolang"/></xsl:attribute>
                <xsl:attribute name="value"><xsl:value-of select="categoryname[@lang=$isolang]"/></xsl:attribute>
              </xsl:element>
            </td>
          </tr>
          <tr>
            <td class='required'><xsl:value-of select="$translations/languagebook/category/headings/table/column[(@name='name') and lang($isolang)]"/>
            (<xsl:value-of select="$translations/languagebook/languages/language[not(@name=$langdef) and lang($isolang)]"/>)</td>
            <td>
              <xsl:element name="input">
                <xsl:attribute name="type">text</xsl:attribute>
                <xsl:attribute name="name">categoryname_<xsl:value-of select="$isolang2"/></xsl:attribute>
                <xsl:attribute name="id">categoryname_<xsl:value-of select="$isolang2"/></xsl:attribute>
                <xsl:attribute name="value"><xsl:value-of select="categoryname[not(@lang=$isolang)]"/></xsl:attribute>
              </xsl:element>
            </td>
          </tr>
        </table>
        <xsl:copy-of select='$editbuttons'/>
      </form>
    </p>
  </xsl:template>

</xsl:stylesheet>