<?xml version="1.0" encoding='utf-8'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:variable name="display" select="/categorybook/display"/>
  <xsl:variable name="function">categories</xsl:variable>
  <xsl:include href="main.xsl"/>
  <xsl:include href="buttons.xsl"/>
  <xsl:include href="specific.xsl"/>

  <xsl:template match="categories">
    <p align="center">
      <form name='items' id='items' action="index.php" method="post">
        <xsl:copy-of select='$hiddens'/>
        <table>
          <tr>
            <td align='left'>
              <xsl:element name="input">
                <xsl:attribute name="type">button</xsl:attribute>
                <xsl:attribute name="name">prev</xsl:attribute>
                <xsl:attribute name="id">prev</xsl:attribute>
                <xsl:attribute name="value">&lt;</xsl:attribute>
                <xsl:attribute name="onClick">page(-<xsl:value-of select="$display/limit"/>);</xsl:attribute>
                <xsl:if test="$display/offset = 0"><xsl:attribute name="disabled"/></xsl:if>
              </xsl:element>
            </td>
            <td align='center'><b><xsl:value-of select="$translations/languagebook/category/headings/title[lang($isolang)]"/></b></td>
            <td align='right'>
              <xsl:element name="input">
                <xsl:attribute name="type">button</xsl:attribute>
                <xsl:attribute name="name">next</xsl:attribute>
                <xsl:attribute name="id">next</xsl:attribute>
                <xsl:attribute name="value">&gt;</xsl:attribute>
                <xsl:attribute name="onClick">page(<xsl:value-of select="$display/limit"/>);</xsl:attribute>
                <xsl:if test="(count(item)= 0) or (count(item) &lt; $display/limit)"><xsl:attribute name="disabled"/></xsl:if>
              </xsl:element>
            </td>
          </tr>
          <tr>
            <td colspan='3'>
              <table  class='data' border='1'>
                <tr>
                  <th>&#160;</th>
                  <xsl:element name="th">
                    <xsl:attribute name="class"><xsl:if test="($display/sortfield = $orderfield1-category)"><xsl:value-of select="$display/sortfield/@direction"/></xsl:if></xsl:attribute>
                    <xsl:attribute name="onClick">updateSort(<xsl:value-of select="$orderfield1-category"/>);</xsl:attribute>
                    <xsl:value-of select="$translations/languagebook/languages/language[(@name=$langdef) and lang($isolang)]"/>
                  </xsl:element>
                  <xsl:element name="th">
                    <xsl:attribute name="class"><xsl:if test="($display/sortfield = $orderfield2-category)"><xsl:value-of select="$display/sortfield/@direction"/></xsl:if></xsl:attribute>
                    <xsl:attribute name="onClick">updateSort(<xsl:value-of select="$orderfield2-category"/>);</xsl:attribute>
                    <xsl:value-of select="$translations/languagebook/languages/language[not(@name=$langdef) and lang($isolang)]"/>
                  </xsl:element>
                </tr>
                <xsl:for-each select="item">
                  <xsl:element name="tr">
                    <xsl:attribute name="class"><xsl:choose>
                        <xsl:when test="(position() mod 2) = 1">odd</xsl:when>
                        <xsl:otherwise>even</xsl:otherwise>
                      </xsl:choose>
                    </xsl:attribute>
                    <td>
                      <xsl:element name="input">
                        <xsl:attribute name="type">checkbox</xsl:attribute>
                        <xsl:attribute name="name">id_<xsl:value-of select='id'/></xsl:attribute>
                        <xsl:attribute name="id">id_<xsl:value-of select='id'/></xsl:attribute>
                        <xsl:attribute name="value">
                          <xsl:value-of select='id'/>
                        </xsl:attribute>
                      </xsl:element>
                    </td>
                    <td><xsl:value-of select="categoryname[@lang=$isolang]"/></td>
                    <td><xsl:value-of select="categoryname[not(@lang=$isolang)]"/></td>
                  </xsl:element>
                </xsl:for-each>
              </table>
            </td>
          </tr>
        </table>
        <xsl:copy-of select="$editbuttons-categories"/>
      </form>
    </p>
  </xsl:template>
</xsl:stylesheet>