<?xml version="1.0" encoding='utf-8'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:variable name="display" select="/addressbook/display"/>
  <xsl:variable name="function">contacts</xsl:variable>
  <xsl:variable name="mode" select='$display/mode'/>
  <xsl:include href="main.xsl"/>
  <xsl:include href="buttons.xsl"/>
  <xsl:include href="specific.xsl"/>

  <xsl:template match="contact/item">
    <p align="center">
      <form name='items' id='items' action="index.php" method="post">
        <xsl:copy-of select="$hiddens"/>
        <xsl:element name="input">
          <xsl:attribute name="type">hidden</xsl:attribute>
          <xsl:attribute name="name">id</xsl:attribute>
          <xsl:attribute name="id">id</xsl:attribute>
          <xsl:attribute name="value"><xsl:value-of select="id"/></xsl:attribute>
        </xsl:element>
        <table>
          <tr>
            <td colspan='2' align='center'>
              <b><xsl:value-of select="$translations/languagebook/contact/headings/title[(@name=$mode) and lang($isolang)]"/></b>
            </td>
          </tr>
          <tr>
            <td>
              <xsl:element name="font">
                <xsl:if test="$mode='edit' or $mode='new'"><xsl:attribute name='color'>red</xsl:attribute></xsl:if>
                <xsl:value-of select="$translations/languagebook/contact/headings/table/column[(@name=$first) and lang($isolang)]"/>
              </xsl:element>
            </td>
            <td>
              <xsl:element name="input">
                <xsl:attribute name="type">text</xsl:attribute>
                <xsl:attribute name="name"><xsl:value-of select='$first'/></xsl:attribute>
                <xsl:attribute name="id"><xsl:value-of select='$first'/></xsl:attribute>
                <xsl:attribute name="value"><xsl:choose>
                    <xsl:when test="$isolang='hu'"><xsl:value-of select='last'/></xsl:when>
                    <xsl:otherwise><xsl:value-of select='first'/></xsl:otherwise>
                  </xsl:choose>
                </xsl:attribute>
                <xsl:attribute name="accesskey">1</xsl:attribute>
                <xsl:if test="$display/mode='show'">
                  <xsl:attribute name="disabled"/>
                </xsl:if>
              </xsl:element>
            </td>
          </tr>
          <tr>
            <td>
              <xsl:element name="font">
                <xsl:if test="$mode='edit' or $mode='new'"><xsl:attribute name='color'>red</xsl:attribute></xsl:if>
                <xsl:value-of select="$translations/languagebook/contact/headings/table/column[(@name=$last) and lang($isolang)]"/>
              </xsl:element>
            </td>
            <td>
              <xsl:element name="input">
                <xsl:attribute name="type">text</xsl:attribute>
                <xsl:attribute name="name"><xsl:value-of select='$last'/></xsl:attribute>
                <xsl:attribute name="id"><xsl:value-of select='$last'/></xsl:attribute>
                <xsl:attribute name="value"><xsl:choose>
                    <xsl:when test="$isolang='hu'"><xsl:value-of select='first'/></xsl:when>
                    <xsl:otherwise><xsl:value-of select='last'/></xsl:otherwise>
                  </xsl:choose>
                </xsl:attribute>
                <xsl:if test="$display/mode='show'">
                  <xsl:attribute name="disabled"/>
                </xsl:if>
              </xsl:element>
            </td>
          </tr>
          <tr>
            <td>
              <xsl:element name="font">
                <xsl:if test="$mode='edit' or $mode='new'"><xsl:attribute name='color'>red</xsl:attribute></xsl:if>
                <xsl:value-of select="$translations/languagebook/contact/headings/table/column[(@name='email') and lang($isolang)]"/>
              </xsl:element>
            </td>
            <td>
              <xsl:element name="input">
                <xsl:attribute name="type">text</xsl:attribute>
                <xsl:attribute name="name">email</xsl:attribute>
                <xsl:attribute name="id">email</xsl:attribute>
                <xsl:attribute name="value"><xsl:value-of select='email'/></xsl:attribute>
                <xsl:if test="$display/mode='show'">
                  <xsl:attribute name="disabled"/>
                </xsl:if>
              </xsl:element>
            </td>
          </tr>
          <tr>
            <td>
              <xsl:value-of select="$translations/languagebook/contact/headings/table/column[(@name='mobile') and lang($isolang)]"/>
            </td>
            <td>
              <xsl:element name="input">
                <xsl:attribute name="type">text</xsl:attribute>
                <xsl:attribute name="name">mobile</xsl:attribute>
                <xsl:attribute name="id">mobile</xsl:attribute>
                <xsl:attribute name="value"><xsl:value-of select='mobile'/></xsl:attribute>
                <xsl:if test="$display/mode='show'">
                  <xsl:attribute name="disabled"/>
                </xsl:if>
              </xsl:element>
            </td>
          </tr>
          <tr>
            <td>
              <xsl:element name="font">
                <xsl:if test="$mode='edit' or $mode='new'"><xsl:attribute name='color'>red</xsl:attribute></xsl:if>
                <xsl:value-of select="$translations/languagebook/contact/headings/table/column[(@name='rectime') and lang($isolang)]"/>
              </xsl:element>
            </td>
            <td>
              <xsl:element name="input">
                <xsl:attribute name="type">text</xsl:attribute>
                <xsl:attribute name="name">rectime</xsl:attribute>
                <xsl:attribute name="id">rectime</xsl:attribute>
                <xsl:attribute name="value"><xsl:value-of select='rectime'/></xsl:attribute>
                <xsl:choose>
                  <xsl:when test="$display/mode='show'">
                    <xsl:attribute name="disabled"/>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:attribute name="readonly"/>
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:element>
              <xsl:element name="input">
                <xsl:attribute name="type">button</xsl:attribute>
                <xsl:attribute name="name">caldtn</xsl:attribute>
                <xsl:attribute name="id">calbtn</xsl:attribute>
                <xsl:attribute name="value">...</xsl:attribute>
                <xsl:attribute name="onClick">return showCalendar('rectime','y-mm-dd');</xsl:attribute>
                <xsl:if test="$display/mode='show'">
                  <xsl:attribute name="disabled"/>
                </xsl:if>
              </xsl:element>
            </td>
          </tr>
          <tr>
            <td colspan='2' align='center'>
              <fieldset name='categoryset' id='categoryset'>
                <legend><xsl:value-of select="$translations/languagebook/contact/property[(@name='legend') and lang($isolang)]"/></legend>
                <table>
                  <xsl:for-each select="categories/category">
                    <tr>
                      <td>
                        <xsl:element name="input">
                          <xsl:attribute name="type">checkbox</xsl:attribute>
                          <xsl:attribute name="name">category_<xsl:value-of select="position()"/></xsl:attribute>
                          <xsl:attribute name="id">category_<xsl:value-of select="position()"/></xsl:attribute>
                          <xsl:attribute name="value"><xsl:value-of select="categoryid"/></xsl:attribute>
                          <xsl:if test="@checked = 1">
                            <xsl:attribute name="checked">true</xsl:attribute>
                          </xsl:if>
                          <xsl:if test="$display/mode='show'">
                            <xsl:attribute name="disabled"/>
                          </xsl:if>
                        </xsl:element>
                      </td>
                      <td>
                        <xsl:value-of select="categoryname[@lang=$isolang]"/>
                      </td>
                    </tr>
                  </xsl:for-each>
                  <xsl:if test="(count(categories/category[@checked=1])=0) and (id != '')">
                    <tr>
                      <td colspan='2'>
                        <font color='red'><xsl:value-of select="$translations/languagebook/contact/property[(@name='uncategorized') and lang($isolang)]"/></font>
                      </td>
                    </tr>
                  </xsl:if>
              </table>
              </fieldset>
            </td>
          </tr>
        </table>
        <xsl:choose>
          <xsl:when test="($display/mode='new') or($display/mode='edit') or ($display/mode='show')">
            <xsl:copy-of select='$editbuttons'/>
          </xsl:when>
          <xsl:when test="($display/mode='search')">
            <xsl:copy-of select='$searchbuttons'/>
          </xsl:when>
        </xsl:choose>
      </form>
    </p>
  </xsl:template>

</xsl:stylesheet>