<?xml version="1.0" encoding='utf-8'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:variable name="display" select="/addressbook/display"/>
  <xsl:variable name="function">contacts</xsl:variable>
  <xsl:include href="main.xsl"/>
  <xsl:include href="specific.xsl"/>
  <xsl:include href="buttons.xsl"/>

  <xsl:template match="contacts">

    <p align="center">
      <form name='items' id='items' action="index.php" method="post">
        <input type='hidden' name='mode' id='mode'/>
        <xsl:copy-of select="$hiddens"/>
        <table>
          <tr>
            <td align='left'>
              <xsl:element name="input">
                <xsl:attribute name="type">button</xsl:attribute>
                <xsl:attribute name="name">prev</xsl:attribute>
                <xsl:attribute name="id">prev</xsl:attribute>
                <xsl:attribute name="value">&lt;</xsl:attribute>
                <xsl:attribute name="onClick">page(-<xsl:value-of select="$display/limit"/>);</xsl:attribute>
                <xsl:choose>
                  <xsl:when test="$display/offset = 0"><xsl:attribute name="disabled"/></xsl:when>
                </xsl:choose>
              </xsl:element>
            </td>
            <td align='center'><b xml:lang="hu"><xsl:value-of select="$translations/languagebook/contact/headings/title[lang($isolang)]"/></b></td>
            <td align='right'>
              <xsl:element name="input">
                <xsl:attribute name="type">button</xsl:attribute>
                <xsl:attribute name="name">next</xsl:attribute>
                <xsl:attribute name="id">next</xsl:attribute>
                <xsl:attribute name="value">&gt;</xsl:attribute>
                <xsl:attribute name="onClick">page(<xsl:value-of select="$display/limit"/>);</xsl:attribute>
                <xsl:choose>
                    <xsl:when test="(count(item)= 0) or (count(item) &lt; $display/limit)"><xsl:attribute name="disabled"/></xsl:when>
                </xsl:choose>
              </xsl:element>
            </td>
          </tr>
          <tr>
            <td colspan='3'>
              <table  class='data' border='1'>
                <tr>
                  <th>&#160;</th>
                  <xsl:element name="th">
                    <xsl:attribute name="class"><xsl:choose>
                        <xsl:when test="($display/sortfield = $orderfield1-contact)"><xsl:value-of select="$display/sortfield/@direction"/></xsl:when>
                        <xsl:otherwise></xsl:otherwise>
                      </xsl:choose>
                    </xsl:attribute>
                    <xsl:attribute name="onClick">updateSort(<xsl:value-of select="$orderfield1-contact"/>);</xsl:attribute>
                    <xsl:value-of select="$translations/languagebook/contact/headings/table/column[(@name=$first) and lang($isolang)]"/>
                  </xsl:element>
                  <xsl:element name="th">
                    <xsl:attribute name="class"><xsl:choose>
                        <xsl:when test="($display/sortfield = $orderfield2-contact)"><xsl:value-of select="$display/sortfield/@direction"/></xsl:when>
                        <xsl:otherwise></xsl:otherwise>
                      </xsl:choose>
                    </xsl:attribute>
                    <xsl:attribute name="onClick">updateSort(<xsl:value-of select="$orderfield2-contact"/>);</xsl:attribute>
                    <xsl:value-of select="$translations/languagebook/contact/headings/table/column[(@name=$last) and lang($isolang)]"/>
                  </xsl:element>
                  <xsl:element name="th">
                    <xsl:attribute name="class"><xsl:choose>
                        <xsl:when test="($display/sortfield = 3)"><xsl:value-of select="$display/sortfield/@direction"/></xsl:when>
                        <xsl:otherwise></xsl:otherwise>
                      </xsl:choose>
                    </xsl:attribute>
                    <xsl:attribute name="onClick">updateSort(3);</xsl:attribute>
                    <xsl:value-of select="$translations/languagebook/contact/headings/table/column[(@name='email') and lang($isolang)]"/>
                  </xsl:element>
                  <xsl:element name="th">
                    <xsl:attribute name="class"><xsl:choose>
                        <xsl:when test="($display/sortfield = 4)"><xsl:value-of select="$display/sortfield/@direction"/></xsl:when>
                        <xsl:otherwise></xsl:otherwise>
                      </xsl:choose>
                    </xsl:attribute>
                    <xsl:attribute name="onClick">updateSort(4);</xsl:attribute>
                    <xsl:value-of select="$translations/languagebook/contact/headings/table/column[(@name='mobile') and lang($isolang)]"/>
                  </xsl:element>
                  <xsl:element name="th">
                    <xsl:attribute name="class"><xsl:choose>
                        <xsl:when test="($display/sortfield = 5)"><xsl:value-of select="$display/sortfield/@direction"/></xsl:when>
                        <xsl:otherwise></xsl:otherwise>
                      </xsl:choose>
                    </xsl:attribute>
                    <xsl:attribute name="onClick">updateSort(5);</xsl:attribute>
                    <xsl:value-of select="$translations/languagebook/contact/headings/table/column[(@name='rectime') and lang($isolang)]"/>
                  </xsl:element>
                </tr>
                <xsl:for-each select="item">
                  <xsl:element name="tr">
                    <xsl:attribute name="class"><xsl:choose>
                        <xsl:when test="(position() mod 2) = 1">odd</xsl:when>
                        <xsl:otherwise>even</xsl:otherwise>
                      </xsl:choose>
                    </xsl:attribute>
                    <td>
                      <xsl:element name="input">
                        <xsl:attribute name="type">checkbox</xsl:attribute>
                        <xsl:attribute name="name">id_<xsl:value-of select='id'/></xsl:attribute>
                        <xsl:attribute name="id">id_<xsl:value-of select='id'/></xsl:attribute>
                        <xsl:attribute name="value">
                          <xsl:value-of select='id'/>
                        </xsl:attribute>
                      </xsl:element>
                    </td>
                    <td>
                      <xsl:choose>
                        <xsl:when test="$isolang='hu'"><xsl:value-of select='last'/></xsl:when>
                        <xsl:otherwise><xsl:value-of select='first'/></xsl:otherwise>
                      </xsl:choose>
                    </td>
                    <td>
                      <xsl:choose>
                        <xsl:when test="$isolang='hu'"><xsl:value-of select='first'/></xsl:when>
                        <xsl:otherwise><xsl:value-of select='last'/></xsl:otherwise>
                      </xsl:choose>
                    </td>
                    <td><xsl:value-of select="email"/></td>
                    <td><xsl:value-of select="mobile"/></td>
                    <td><xsl:value-of select="rectime"/></td>
                  </xsl:element>
                </xsl:for-each>
              </table>
            </td>
          </tr>
        </table>
        <xsl:copy-of select="$editbuttons-contacts"/>
      </form>
    </p>
  </xsl:template>
</xsl:stylesheet>