<?xml version="1.0" encoding='utf-8'?>
<!DOCTYPE addressbook [
<!ENTITY logo "PAZO Info-Kristaly Bt.">
<!ENTITY copy "&#169;">
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:include href="hiddens.xsl"/>
  <xsl:variable name="translations" select="document('translations.xml')"/>
  <xsl:variable name="isolang" select="$display/language"/>

  <xsl:template match="/">
    <html>
      <head>
        <meta http-equiv="Content-Type" content="text/html;charset=utf-8"/>
        <title><xsl:value-of select="$translations/languagebook/headings/title[(@name=$function) and lang($isolang)]"/></title>
        <link rel="stylesheet" type="text/css" href="css/mystyle.css" />
        <xsl:element name="link">
          <xsl:attribute name='rel'>stylesheet</xsl:attribute>
          <xsl:attribute name='type'>text/css</xsl:attribute>
          <xsl:attribute name='href'>css/calendar-win2k-cold-1.css</xsl:attribute>
        </xsl:element>
        <script src="scripts/myconsts.js"/>
        <script src="scripts/myscripts.js"/>
        <script src="scripts/calendar.js"/>
        <script src="scripts/calcommon.js"/>
        <xsl:element name="script">
          <xsl:attribute name='src'>scripts/calendar-<xsl:value-of select="$isolang"/>.js</xsl:attribute>
        </xsl:element>
      </head>
      <body bgcolor="#3f4f5f" onLoad="ex_focus(document.getElementById('items'),0);">
        <p align='center'>
          <table class='main'>
            <tr>
              <td colspan='2' class="header"><h1>&logo;&copy;</h1><!--PAZO Info-Kristaly Bt.-->
              </td>
            </tr>
            <tr>
              <td class='menu'>
                <table class='data'>
                  <tr>
                    <xsl:element name="td">
                      <xsl:attribute name="class"><xsl:choose>
                          <xsl:when test="$display/language = 'en'">selected</xsl:when>
                          <xsl:otherwise/>
                        </xsl:choose>
                      </xsl:attribute>
                      <xsl:attribute name="onClick">switchlang('en');</xsl:attribute>
                      <xsl:value-of select="$translations/languagebook/languages/language[(@name='english') and lang($isolang)]"/>
                    </xsl:element>
                    <xsl:element name="td">
                      <xsl:attribute name="class"><xsl:choose>
                          <xsl:when test="$display/language = 'hu'">selected</xsl:when>
                          <xsl:otherwise/>
                        </xsl:choose>
                      </xsl:attribute>
                      <xsl:attribute name="onClick">switchlang('hu');</xsl:attribute>
                      <xsl:value-of select="$translations/languagebook/languages/language[(@name='hungarian') and lang($isolang)]"/>
                    </xsl:element>
                  </tr>
                  <xsl:if test="($function != 'identify') and ($function != 'register')">
                    <tr>
                      <xsl:element name='td'>
                        <xsl:attribute name='colspan'>2</xsl:attribute>
                        <xsl:attribute name='class'><xsl:if test="$function = 'contacts'">selected</xsl:if></xsl:attribute>
                        <xsl:attribute name='onClick'>switchfn('contacts');</xsl:attribute>
                        <xsl:value-of select="$translations/languagebook/menus/menu[(@name='contacts') and lang($isolang)]"/>
                      </xsl:element>
                    </tr>
                    <tr>
                      <xsl:element name='td'>
                        <xsl:attribute name='colspan'>2</xsl:attribute>
                        <xsl:attribute name='class'><xsl:if test="$function = 'categories'">selected</xsl:if></xsl:attribute>
                        <xsl:attribute name='onClick'>switchfn('categories');</xsl:attribute>
                        <xsl:value-of select="$translations/languagebook/menus/menu[(@name='categories') and lang($isolang)]"/>
                      </xsl:element>
                    </tr>
                  </xsl:if>
                  <tr>
                    <xsl:choose>
                      <xsl:when test="($function = 'identify') or ($function = 'register')">
                        <xsl:element name='td'>
                          <xsl:attribute name='colspan'>2</xsl:attribute>
                          <xsl:attribute name='class'><xsl:if test="($function = 'identify') or ($function = 'register')">selected</xsl:if></xsl:attribute>
                          <xsl:attribute name='onClick'>switchfn('identify');</xsl:attribute>
                          <xsl:value-of select="$translations/languagebook/menus/menu[(@name='login') and lang($isolang)]"/>
                        </xsl:element>
                      </xsl:when>
                      <xsl:otherwise>
                        <xsl:element name='td'>
                          <xsl:attribute name='colspan'>2</xsl:attribute>
                          <xsl:attribute name='onClick'>switchfn('logout');</xsl:attribute>
                          <xsl:value-of select="$translations/languagebook/menus/menu[(@name='logout') and lang($isolang)]"/>
                        </xsl:element>
                      </xsl:otherwise>
                    </xsl:choose>
                  </tr>
                </table>
                <table class='data'>
                  <tr>
                    <td colspan='2'><a href="doc/feladat.txt">feladat.txt</a></td>
                  </tr>
                  <tr>
                    <td colspan='2'><a href="doc/megoldas.txt">megoldas.txt</a></td>
                  </tr>
                  <tr>
                    <td colspan='2'><a href="doc/letoltes.zip">letoltes.zip</a></td>
                  </tr>
                </table>
              </td>
              <td>
                <xsl:apply-templates/>
              </td>
            </tr>
          </table>
        </p>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="categories"/>

  <xsl:template match="display"/>

  <xsl:template match="login"/>

  <xsl:template match='debug'/>

</xsl:stylesheet>
