<?xml version="1.0" encoding='utf-8'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:variable name="display" select="/addressbook/display"/>
  <xsl:variable name="function">register</xsl:variable>
  <xsl:include href="main.xsl"/>
  <xsl:include href="specific.xsl"/>
  <xsl:include href="buttons.xsl"/>

  <xsl:template match="registerform">
     <form name='items' id='items' action="index.php" method="post">
       <xsl:copy-of select="$hiddens"/>
       <p align="center">
        <table  class='login'>
          <tr>
            <td align='right'><xsl:value-of select="$translations/languagebook/login/title[(@name='firstname') and lang($isolang)]"/></td>
            <td>
              <xsl:element name="input">
                <xsl:attribute name="type">text</xsl:attribute>
                <xsl:attribute name="name">firstname</xsl:attribute>
                <xsl:attribute name="id">firstname</xsl:attribute>
                <xsl:attribute name="value">
                  <xsl:value-of select='firstname'/>
                </xsl:attribute>
              </xsl:element>
            </td>
          </tr>
          <tr>
            <td align='right'><xsl:value-of select="$translations/languagebook/login/title[(@name='lastname') and lang($isolang)]"/></td>
            <td>
              <xsl:element name="input">
                <xsl:attribute name="type">text</xsl:attribute>
                <xsl:attribute name="name">lastname</xsl:attribute>
                <xsl:attribute name="id">lastname</xsl:attribute>
                <xsl:attribute name="value">
                  <xsl:value-of select='lastname'/>
                </xsl:attribute>
              </xsl:element>
            </td>
          </tr>
          <tr>
            <td align='right'><font color="red"><xsl:value-of select="$translations/languagebook/login/title[(@name='user') and lang($isolang)]"/></font></td>
            <td>
              <xsl:element name="input">
                <xsl:attribute name="type">text</xsl:attribute>
                <xsl:attribute name="name">user</xsl:attribute>
                <xsl:attribute name="id">user</xsl:attribute>
                <xsl:attribute name="value">
                  <xsl:value-of select='user'/>
                </xsl:attribute>
              </xsl:element>
            </td>
          </tr>
          <tr>
            <td align='right'><font color="red"><xsl:value-of select="$translations/languagebook/login/title[(@name='passwd') and lang($isolang)]"/></font></td>
            <td>
              <xsl:element name="input">
                <xsl:attribute name="type">password</xsl:attribute>
                <xsl:attribute name="name">passwd</xsl:attribute>
                <xsl:attribute name="id">passwd</xsl:attribute>
                <xsl:attribute name="value">
                  <xsl:value-of select='passwd'/>
                </xsl:attribute>
              </xsl:element>
            </td>
          </tr>
          <tr>
            <td align='right'><xsl:value-of select="$translations/languagebook/login/title[(@name='validto') and lang($isolang)]"/></td>
            <td>
              <xsl:element name="input">
                <xsl:attribute name="type">text</xsl:attribute>
                <xsl:attribute name="name">validto</xsl:attribute>
                <xsl:attribute name="id">validto</xsl:attribute>
                <xsl:attribute name="value">
                  <xsl:value-of select='validto'/>
                </xsl:attribute>
              </xsl:element>
              <xsl:element name="input">
                <xsl:attribute name="type">button</xsl:attribute>
                <xsl:attribute name="name">caldtn</xsl:attribute>
                <xsl:attribute name="id">calbtn</xsl:attribute>
                <xsl:attribute name="value">...</xsl:attribute>
                <xsl:attribute name="onClick">return showCalendar('validto','y-mm-dd');</xsl:attribute>
                <xsl:if test="$display/mode='show'">
                  <xsl:attribute name="disabled"/>
                </xsl:if>
              </xsl:element>
            </td>
          </tr>
          <tr>
            <td colspan="2" align="center">
              <xsl:copy-of select='$btnsendregdata'/>
            </td>
          </tr>
        </table>
      </p>
    </form>
  </xsl:template>
</xsl:stylesheet>